package imagefilters

/**
 * This class implements the various image filters
 */
object ImageFilters {

  def duplicate(a: Array[Array[Int]]): Array[Array[Int]] = {
    val height: Int = a.length
    val width: Int = if (height == 0) 0 else a(0).length
    val res: Array[Array[Int]] = Array.ofDim(height, width)
    for (y: Int <- 0 until height) {
      for (x: Int <- 0 until width) {
        res(y)(x) = a(y)(x)
      }
    }
    return res
  }
}
